Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
fx
/
quotes
/
{quote_id}
Get FX Quote
curl --request GET \
  --url https://api.hopnow.io/v1/accounts/{account_id}/fx/quotes/{quote_id} \
  --header 'Authorization: Bearer <token>'

Path Parameters

account_id
string
required
The account’s external ID (starts with acc_)
quote_id
string
required
The FX quote’s external ID (starts with fxq_)

Response

Returns the same structure as Create FX Quote response.

Response Example

{
  "id": "fxq_1234567890abcdef",
  "object": "fx_quote",
  "account_id": "acc_1234567890abcdef",
  "source_currency": "USD",
  "target_currency": "EUR",
  "amount_type": "source",
  "source_amount": "1000.00",
  "target_amount": "855.69",
  "all_in_rate": "0.85569",
  "expires_at": "2024-01-15T10:05:00Z",
  "executed_at": null,
  "created": "2024-01-15T10:00:00Z",
  "updated": "2024-01-15T10:00:00Z"
}